Package org.eclipse.graphiti.ui.internal.parts

# Interface IConnectionEditPart

All Superinterfaces:
  `IAnchorContainerEditPart`, `IConfigurationProviderHolder`, `IFeatureProviderHolder`, `IPictogramElementEditPart`

All Known Implementing Classes:
  `CompositeConnectionEditPart`, `ConnectionEditPart`, `CurvedConnectionEditPart`, `FreeFormConnectionEditPart`, `ManhattanConnectionEditPart`

public interface IConnectionEditPart extends IAnchorContainerEditPart
The Interface IConnectionEditPart.

## Method Summary

Modifier and Type
Method
Description
`void`
`forceVisualRefresh()`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IAnchorContainerEditPart

`refreshDecorators`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.config.IConfigurationProviderHolder

`getConfigurationProvider`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementEditPart

`getModelChildren, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate`

## Method Details

### forceVisualRefresh

void forceVisualRefresh()